Bug 188534 - X-server won't start for both native & VESA drivers during install
X-server won't start for both native & VESA drivers during install
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 18:11 EDT by jgoosby
Modified: 2008-01-19 23:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:37:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jgoosby 2006-04-10 18:11:01 EDT
+++ This bug was initially created as a clone of Bug #182294 +++

Description of problem: The  X-server won't start for both antive & VESA drivers.

How reproducible: every time

Steps to Reproduce:
1. Boot from CD
2. attempting to start X-server with native driver - Failed
3. attempting to start X-server with VESA driver - Failed

Actual results: VGA+ display only.

Expected results: video normal.

Additional info:

AMD Athlon 64 X2 processor
ULi 1573 chipset
ATI RV370 Sapphire X550 graphics card
Comment 1 Andy Burns 2006-04-22 05:26:17 EDT
I had problems with PCIID recognition for my X550 in rawhide in the runup to
FC5, but at least VESA worked as a fallback and I could use a ChipId override
after install to force Xorg to work, however on FC5 final neither the radeon or
vesa drivers loaded during install, so I had to use vnc to install

Comment 2 Andy Burns 2006-08-15 16:47:27 EDT
working ok for me with xorg 7.1 in fc6t2
Comment 3 Dave Jones 2006-10-16 16:27:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:37:54 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.